<!-- ----
    NB: The context, "(this)", refers to AppComponent and not the element being clicked!
    And when its area is clicked, invoke #hideMenu - to hide the menu if it is shown.

    TODO GLOBE link: https://mui.com/material-ui/material-icons/?query=globe&theme=Outlined
    ------ --------------------- --------------- -------------------- -->
<div id="id_root_area">

  <!-- appHeader is used with findElementById in AppComponent!! -->
  <header id="appHeader" [style.display]="this.showHeader ? 'flex' : 'none'">
    <div id="upper-header">
      <div id="burger-n-logo-wrap">
        <button id="burger" mat-icon-button [matMenuTriggerFor]="app_menu">
          <mat-icon>menu</mat-icon>
        </button>

        <mat-menu #app_menu="matMenu" xPosition="before">
          <!-- Top items, e.g: Home, Products etc -->
          <ng-container *ngFor="let item of menuItems">
            <button mat-menu-item [routerLink]="item.path"
                    [class]="(item.isSelected ? 'menu-item-selected' : '')">
              <span>{{item.name}}</span>
            </button>
          </ng-container>

          <!-- line separator -->
          <div style="margin: 0 6px; border-top: solid 2px #67b7eb"></div>

          <button mat-menu-item>
            <span>Language (English)</span>
          </button>

          <!-- Only show MyAccount after successful login -->
          <button *ngIf="hasLoggedIn" mat-menu-item [routerLink]="PATH.MY_ACCOUNT">
            <span>{{UI_TEXT.MY_ACCOUNT}}</span>
          </button>

          <button mat-menu-item (click)="hasLoggedIn ? signOutAndRedirect() : redirectToSignIn()">
            <ng-container *ngIf="hasLoggedIn; else menuSignOutPath">
              <span>{{UI_TEXT.SIGN_OUT}}</span>
            </ng-container>

            <ng-template #menuSignOutPath>
              <span>{{UI_TEXT.SIGN_IN}}</span>
            </ng-template>
          </button>
        </mat-menu>

        <img class="header__logo" src="assets/images/logo.png"
             alt="IQD" routerLink="/" style="cursor: pointer">
      </div>

      <span class="spacer"></span>

      <div id="user-related-header-div">
        <a class="user-related-header-item">
          <button mat-icon-button>
            <mat-icon>language</mat-icon>
          </button>
          <span>English</span>
        </a>

        <!-- Only show MyAccount after successful login (and if parent div is in DOM, as per @Media) -->
        <a *ngIf="hasLoggedIn" class="user-related-header-item" [routerLink]="PATH.MY_ACCOUNT">
          <button id="my-account-hdr-btn" mat-icon-button>
            <mat-icon>account_circle</mat-icon>
          </button>
          <span>{{UI_TEXT.MY_ACCOUNT}}</span>
        </a>

        <a class="user-related-header-item" (click)="hasLoggedIn ? signOutAndRedirect() : redirectToSignIn()">
          <ng-container *ngIf="hasLoggedIn; else headerSignOutPath">
            <button mat-icon-button>
              <mat-icon>logout</mat-icon>
            </button>

            <span>{{UI_TEXT.SIGN_OUT}}</span>
          </ng-container>

          <ng-template #headerSignOutPath>
            <button mat-icon-button>
              <mat-icon>login</mat-icon>
            </button>

            <span>{{UI_TEXT.SIGN_IN}}</span>
          </ng-template>
        </a>
      </div>
    </div>

    <div id="lower-header">
      <ul id="header-item-ul">
        <li *ngFor="let item of headerItems" [routerLink]="item.path"
            [classList]="'header-item-li ' + (item.isSelected ? 'header-item-li-selected' : 'header-item-li-normal')">
          <span class="header-item-text">{{item.name}}</span>
        </li>
      </ul>
    </div>
    <!--
    &lt;!&ndash;  Dialog-like Navigation&ndash;&gt;
    <nav [class.show]="showBurger">
      <a class="menu-link-pad" routerLink="/home" (click)="toggleMenu();$event.stopPropagation()">Home</a>
      <a class="menu-link-pad" routerLink="/about" (click)="toggleMenu();$event.stopPropagation()">About</a>
      <a routerLink="/contact" (click)="toggleMenu();$event.stopPropagation()">Contact</a>
    </nav>-->
  </header>

  <!--  Note: Setting top margin is necessary if <header> is set to "fixed" in app.component.css and thus
  independent, thus the margin ensures main is directly below it
  use: [style.margin-top.px]="getMenuHeight()"-->
  <main [style.min-height.px]="contentHeight">
    <section id="section-outlet">
      <router-outlet (activate)="onActivate($event)" (deactivate)="onDeactivate($event)"></router-outlet>
    </section>

    <!--[style.display]="showBenefitsBanner ? 'block' : 'none'"-->
    <section *ngIf="!hasLoggedIn" id="acc-benefit-banner">
      <h2 class="acc-benefit-header"><a [routerLink]="PATH.REGISTER">Create an account</a> with IQD Frequency</h2>

      <ul id="acc-benefit-ul">
        <li class="acc-benefit-li" *ngFor="let item of [
        ['bar_chart','View live stock levels'],
        ['star','Bookmark spec sheets'],
        ['description','Quick access to recently viewed items']]">
          <mat-icon>{{item[0]}}</mat-icon>
          <span>{{item[1]}}</span>
        </li>
      </ul>

      <p class="acc-benefit-subheader"><a [routerLink]="PATH.SIGN_IN">Sign In</a> if you already have an account with us</p>
    </section>
  </main>

  <footer>
    <div id="footer-coloured-wrapper">
      <!--contact-->
      <ul id="ft-contact-ul">
        <li class="ft-contact-li">
          <mat-icon [svgIcon]="'phone'"></mat-icon>
          <span>
            <div class="ft-contact-number ft-contact-num-0">+44 1460 270 200</div>
            <div class="ft-contact-number ft-contact-num-1">+44 1460 270 280</div>
          </span>
        </li>

        <li class="ft-contact-li">
          <mat-icon [svgIcon]="'house'"></mat-icon>
          <span>Station Road, Crewkerne, Somerset, TA18 8AR, UK</span>
        </li>
      </ul>

      <!--Info Tree-->
      <ul id="footer-tree-ul">
        <li *ngFor="let item of treeList; index as i">
          <div class="tree-header" (click)="handleTreeHeader(i)">
            <span>{{item.desc}}</span>
            <mat-icon class="tree-header-icon"
                      [svgIcon]="item.collapse ? 'chevron-down' : 'chevron-up'"></mat-icon>
          </div>

          <!-- -->
          <ul [className]="'tree-list ' + ((isCollapsingFooter && item.collapse) ? 'hide-list' : 'show-list')">
            <li *ngFor="let item of item.list">
              {{item}}
            </li>
          </ul>
        </li>
      </ul>

      <!--social media-->
      <div id="footer-social-wrapper">
        <p id="footer-social-desc">Follow us on</p>

        <ul id="footer-social-ul">
          <li class="footer-social-li">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" class="" viewBox="0 0 16 16">
              <path d="M5.026 15c6.038 0 9.341-5.003 9.341-9.334 0-.14 0-.282-.006-.422A6.685 6.685 0 0 0 16
            3.542a6.658 6.658 0 0 1-1.889.518 3.301 3.301 0 0 0 1.447-1.817 6.533 6.533 0 0 1-2.087.793A3.286
            3.286 0 0 0 7.875 6.03a9.325 9.325 0 0 1-6.767-3.429 3.289 3.289 0 0 0 1.018 4.382A3.323 3.323 0
             0 1 .64 6.575v.045a3.288 3.288 0 0 0 2.632 3.218 3.203 3.203 0 0 1-.865.115 3.23 3.23 0 0
             1-.614-.057 3.283 3.283 0 0 0 3.067 2.277A6.588 6.588 0 0 1 .78 13.58a6.32 6.32 0 0
             1-.78-.045A9.344 9.344 0 0 0 5.026 15z"/>
            </svg>
          </li>

          <li class="footer-social-li">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" class="" viewBox="0 0 16 16">
              <path d="M0 1.146C0 .513.526 0 1.175 0h13.65C15.474 0 16 .513 16 1.146v13.708c0 .633-.526 1.146-1.175
            1.146H1.175C.526 16 0 15.487 0 14.854V1.146zm4.943 12.248V6.169H2.542v7.225h2.401zm-1.2-8.212c.837 0
            1.358-.554 1.358-1.248-.015-.709-.52-1.248-1.342-1.248-.822 0-1.359.54-1.359 1.248 0 .694.521 1.248
            1.327 1.248h.016zm4.908 8.212V9.359c0-.216.016-.432.08-.586.173-.431.568-.878 1.232-.878.869 0 1.216.662
             1.216 1.634v3.865h2.401V9.25c0-2.22-1.184-3.252-2.764-3.252-1.274 0-1.845.7-2.165 1.193v.025h-.016a5.54
              5.54 0 0 1 .016-.025V6.169h-2.4c.03.678 0 7.225 0 7.225h2.4z"/>
            </svg>
          </li>

          <li class="footer-social-li">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" class="" viewBox="0 0 16 16">
              <path d="M8.051 1.999h.089c.822.003 4.987.033 6.11.335a2.01 2.01 0 0 1 1.415 1.42c.101.38.172.883.22
           1.402l.01.104.022.26.008.104c.065.914.073 1.77.074 1.957v.075c-.001.194-.01 1.108-.082
           2.06l-.008.105-.009.104c-.05.572-.124 1.14-.235 1.558a2.007 2.007 0 0 1-1.415
           1.42c-1.16.312-5.569.334-6.18.335h-.142c-.309
           0-1.587-.006-2.927-.052l-.17-.006-.087-.004-.171-.007-.171-.007c-1.11-.049-2.167-.128-2.654-.26a2.007
           2.007 0 0 1-1.415-1.419c-.111-.417-.185-.986-.235-1.558L.09 9.82l-.008-.104A31.4 31.4 0 0 1 0
           7.68v-.123c.002-.215.01-.958.064-1.778l.007-.103.003-.052.008-.104.022-.26.01-.104c.048-.519.119-1.023.22-1.402a2.007 2.007
           0 0 1 1.415-1.42c.487-.13 1.544-.21 2.654-.26l.17-.007.172-.006.086-.003.171-.007A99.788 99.788 0 0 1
           7.858 2h.193zM6.4 5.209v4.818l4.157-2.408L6.4 5.209z"/>
            </svg>
          </li>
        </ul>
      </div>
    </div>

    <p id="copyright_p"> &#169; IQD Frequency Products Ltd 2022 Registered in England No. 06478545</p>
  </footer>
</div>
